<?php
/*
Plugin Name: 	Boobook
Version:       1.13
Plugin URI:		http://xuxu.fr/2013/12/26/boobook-un-autre-facebook-connect-minimal-pour-wordpress/
Description:	Boobook, Another Facebook Connect for Wordpress
Author:			xuxu.fr
Author URI:		http://xuxu.fr
*/

/* +---------------------------------------------------------------------------------------------------+
   | 
   +---------------------------------------------------------------------------------------------------+ */
session_start();

/* +---------------------------------------------------------------------------------------------------+
   | CONSTANTES
   +---------------------------------------------------------------------------------------------------+ */
if (!defined('WP_PLUGIN_DIR')) {
	$plugin_dir = str_replace('boobook/', '', dirname(__FILE__));
	define('WP_PLUGIN_DIR', $plugin_dir);
}
define('TWITWI_PLUGIN_DIR', WP_PLUGIN_DIR."/boobook/");

/* +---------------------------------------------------------------------------------------------------+
   | INCLUDES
   +---------------------------------------------------------------------------------------------------+ */
require_once(WP_PLUGIN_DIR."/boobook/library/includes/compat.php");
require_once(WP_PLUGIN_DIR."/boobook/library/install.php");
require_once(WP_PLUGIN_DIR."/boobook/library/functions.blog.php");
require_once(WP_PLUGIN_DIR."/boobook/library/functions.image.php");
require_once(WP_PLUGIN_DIR."/boobook/library/functions.php");

/* +---------------------------------------------------------------------------------------------------+
   | Facebook SDK PHP
   +---------------------------------------------------------------------------------------------------+ */
require_once(WP_PLUGIN_DIR."/boobook/inc/facebook-php-sdk/src/facebook.php");

/* +---------------------------------------------------------------------------------------------------+
   | INCLUDES & Widgets
   +---------------------------------------------------------------------------------------------------+ */
require_once(WP_PLUGIN_DIR."/boobook/widgets/connect.php");
add_action("widgets_init", create_function("", "return register_widget('WP_Boobook_Connect');"));

/* +---------------------------------------------------------------------------------------------------+
   | REGISTER ACTIVATION
   +---------------------------------------------------------------------------------------------------+ */
//
register_activation_hook(__FILE__, 'boobook_install');
register_deactivation_hook(__FILE__, 'boobook_uninstall');

/* +---------------------------------------------------------------------------------------------------+
   | PARAMS
   +---------------------------------------------------------------------------------------------------+ */
// Gestion thumbs
// 
if (function_exists('add_theme_support')) {
	//
	add_theme_support('post-thumbnails');

	// ajoute des nouvelles dimensions aux thumbs
	boobook_set_thumbsize();
	/*foreach($_wp_additional_image_sizes as $sizes) { echo $sizes['width']." <br />"; }*/
}